package tacv.universe.map.occlusions;

import javax.vecmath.Point2d;
import javax.vecmath.Point3d;
import tacv.universe.map.Building;


public class Wall {

    // static, shared
    public int id;
    public Point2d point0;
    public Point2d point1;
    public Point2d point2;
    public BoundingBox boundingBox;

    // static, non-shared
    public double height;
    public Point3d point1Top;
    public Point3d point2Top;
    public Building building;

    // dynamic
    public double distance0;
    public double distance1;
    public double distance2;
    public double angle1;
    public double angle2;
    public double distanceMin;
    public double distanceMax;
    public double shadowMax;
    public BoundingBox boundingBoxExt;
}
